<?php
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CRM Admin</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <style>
        header {
            padding: 10px;
            background-color: #f8f9fa;
            border-bottom: 1px solid #ddd;
        }
        header .user-info {
            text-align: right;
        }
        .content {
            padding: 20px;
            min-height: 100vh;
        }
        .sidebar {
            width: 275px;
        }
        #wrapper {
            display: flex;
            flex-wrap: nowrap;
        }
        /* Rotate the caret icon when the dropdown is expanded */
        .rotate {
            transition: transform 0.2s ease-in-out;
        }
        .rotate-down {
            transform: rotate(90deg);
        }
        .logo {
            max-width: 150px; /* Adjust as needed */
            height: auto; /* Maintains aspect ratio */
        }
    </style>
</head>
<body>
<header class="d-flex justify-content-between align-items-center p-3">
    <img src="../../images/logo.png" alt="Company Logo" class="logo img-fluid" style="max-width: 150px;">
    <div class="user-info d-flex align-items-center">
        <span class="me-2">Welcome, <?php echo $_SESSION['username']; ?>  </span>
        <a href="../config/logout.php" class="btn btn-danger btn-sm">Logout</a>
    </div>
</header>
<div class="d-flex" id="wrapper">
    <div class="bg-light border-right sidebar" id="sidebar-wrapper">
        <div class="list-group list-group-flush">
            <?php if (hasAccessMenu(menu_item: 'Dashboard')): ?>
                <a href="/crm/public/main/dashboard.php" class="list-group-item list-group-item-action bg-light">
                    <i class="fas fa-tachometer-alt mr-2"></i>Dashboard
                </a>
            <?php endif; ?>

            <a href="/crm/public/citssb_info/user_profile.php?id=<?= $_SESSION['id'] ?>" class="list-group-item list-group-item-action bg-light">
                <i class="fas fa-user mr-2"></i>  User Profile
            </a>

            <a href="/crm/public/item_function/item_function.php" class="list-group-item list-group-item-action bg-light">
                <i class="fas fa-cogs mr-2"></i> Item Function
            </a>

            <?php if (hasAccessMenu(menu_item: 'Stock Item')): ?>
                <a href="#stockItemSubmenu" class="list-group-item list-group-item-action bg-light" data-toggle="collapse" onclick="toggleDropdown(this, '#stockItemSubmenu')">
                    <i class="fas fa-box mr-2"></i> Stock Item
                    <i class="fas fa-caret-right float-right rotate"></i> <!-- Caret Icon -->
                </a>
            <?php endif; ?>

            <div class="collapse" id="stockItemSubmenu">
                <?php if (hasAccessMenu(menu_item: 'Add Stock Item')): ?>
                    <a href="/crm/public/stock_item/add_stock_item.php" class="list-group-item list-group-item-action bg-light pl-5">Add Stock Item</a>
                <?php endif; ?>

                <?php if (hasAccessMenu(menu_item: 'View Stock Item')): ?>
                    <a href="/crm/public/stock_item/view_stock_item.php" class="list-group-item list-group-item-action bg-light pl-5">View Stock Item</a>
                <?php endif; ?>
            </div>

            <?php if (hasAccessMenu(menu_item: 'Company')): ?>
                <a href="#CompanySubmenu" class="list-group-item list-group-item-action bg-light" data-toggle="collapse" onclick="toggleDropdown(this, '#CompanySubmenu')">
                    <i class="fas fa-building mr-2"></i> Company
                    <i class="fas fa-caret-right float-right rotate"></i> <!-- Caret Icon -->
                </a>
            <?php endif; ?>

            <div class="collapse" id="CompanySubmenu">
                <?php if (hasAccessMenu(menu_item: 'Add Company')): ?>
                    <a href="/crm/public/company/add_company.php" class="list-group-item list-group-item-action bg-light pl-5">Add Company</a>
                <?php endif; ?>

                <?php if (hasAccessMenu(menu_item: 'Search Company')): ?>
                    <a href="/crm/public/company/search_company.php" class="list-group-item list-group-item-action bg-light pl-5">Search Company</a>
                <?php endif; ?>
            </div>

            <?php if (hasAccessMenu(menu_item: 'Customer')): ?>
                <a href="#CustomerSubmenu" class="list-group-item list-group-item-action bg-light" data-toggle="collapse" onclick="toggleDropdown(this, '#CustomerSubmenu')">
                    <i class="fas fa-users mr-2"></i> Customer
                    <i class="fas fa-caret-right float-right rotate"></i> <!-- Caret Icon -->
                </a>
            <?php endif; ?>

            <div class="collapse" id="CustomerSubmenu">
                <?php if (hasAccessMenu(menu_item: 'Add Customer')): ?>
                    <a href="/crm/public/customer/add_customer.php" class="list-group-item list-group-item-action bg-light pl-5">Add Customer</a>
                <?php endif; ?>

                <?php if (hasAccessMenu(menu_item: 'Search Customer')): ?>
                    <a href="/crm/public/customer/search_customer.php" class="list-group-item list-group-item-action bg-light pl-5">Search Customer</a>
                <?php endif; ?>
            </div>

            <?php if (hasAccessMenu(menu_item: 'Subscription')): ?>
                <a href="#SubscriptionSubmenu" class="list-group-item list-group-item-action bg-light" data-toggle="collapse" onclick="toggleDropdown(this, '#SubscriptionSubmenu')">
                    <i class="fas fa-newspaper mr-2"></i> Subscription
                    <i class="fas fa-caret-right float-right rotate"></i> <!-- Caret Icon -->
                </a>
            <?php endif; ?>

            <div class="collapse" id="SubscriptionSubmenu">
                <?php if (hasAccessMenu(menu_item: 'Add Subscription')): ?>
                    <a href="/crm/public/subscription/add_subscription.php" class="list-group-item list-group-item-action bg-light pl-5">Add Subscription</a>
                <?php endif; ?>

                <?php if (hasAccessMenu(menu_item: 'View Subscription')): ?>
                    <a href="/crm/public/subscription/view_subscription.php" class="list-group-item list-group-item-action bg-light pl-5">View Subscription</a>
                <?php endif; ?>

                <?php if (hasAccessMenu(menu_item: 'Search Subscription')): ?>
                    <a href="/crm/public/subscription/search_subscription.php" class="list-group-item list-group-item-action bg-light pl-5">Search Subscription</a>
                <?php endif; ?>
            </div>

            <?php if (hasAccessMenu(menu_item: 'Settings')): ?>
                <a href="#SettingsSubmenu" class="list-group-item list-group-item-action bg-light" data-toggle="collapse" onclick="toggleDropdown(this, '#SettingsSubmenu')">
                    <i class="fas fa-cog mr-2"></i> Settings
                    <i class="fas fa-caret-right float-right rotate"></i> <!-- Caret Icon -->
                </a>
            <?php endif; ?>

            <div class="collapse" id="SettingsSubmenu">
                <?php if (hasAccessMenu(menu_item: 'Permission Settings')): ?>
                    <a href="/crm/public/settings/permission_settings.php" class="list-group-item list-group-item-action bg-light pl-5">Permission Settings</a>
                <?php endif; ?>
                <?php if (hasAccessMenu(menu_item: 'Menu Management')): ?>
                    <a href="/crm/public/settings/menu_management.php" class="list-group-item list-group-item-action bg-light pl-5">Menu Management</a>
                <?php endif; ?>
                <?php if (hasAccessMenu(menu_item: 'CITSSB Info')): ?>
                    <a href="/crm/public/citssb_info/o365_info.php" class="list-group-item list-group-item-action bg-light pl-5">CITSSB Info</a>
                <?php endif; ?>
                <?php if (hasAccessMenu(menu_item: 'Add Admin')): ?>
                    <a href="/crm/public/admin/manage_admins.php" class="list-group-item list-group-item-action bg-light pl-5">Add Admin</a>
                <?php endif; ?>
                <?php if (hasAccessMenu(menu_item: 'Manage Groups')): ?>
                    <a href="/crm/public/admin/manage_groups.php" class="list-group-item list-group-item-action bg-light pl-5">Manage Groups</a>
                <?php endif; ?>
            </div>

            <?php if (hasAccessMenu(menu_item: 'Add Configuration Information')): ?>
                <a href="/crm/public/config_info/add_config_info.php" class="list-group-item list-group-item-action bg-light">
                    <i class="fas fa-info-circle mr-2"></i> Add Configuration Information
                </a>
            <?php endif; ?>

            <?php if (hasAccessMenu(menu_item: 'Activity Logs')): ?>
                <a href="/crm/public/logs/activity_logs.php" class="list-group-item list-group-item-action bg-light">
                    <i class="fas fa-clipboard-list mr-2"></i> Activity Logs
                </a>
            <?php endif; ?>

            <!-- New Submenu Item -->
            <?php if (hasAccessMenu(menu_item: 'Item Function Settings')): ?>
                <a href="#NewSubmenu" class="list-group-item list-group-item-action bg-light" data-toggle="collapse" onclick="toggleDropdown(this, '#NewSubmenu')">
                    <i class="fas fa-plus mr-2"></i> Item Function Settings
                    <i class="fas fa-caret-right float-right rotate"></i> <!-- Caret Icon -->
                </a>
            <?php endif; ?>

            <div class="collapse" id="NewSubmenu">
                <?php if (hasAccessMenu(menu_item: 'Add Steps')): ?>
                    <a href="add_steps.php" class="list-group-item list-group-item-action bg-light pl-5">Add Steps</a>
                    <a href="search_configuration_steps.php" class="list-group-item list-group-item-action bg-light pl-5">Search Config Steps</a>
                    <a href="search_solve_problem_steps.php" class="list-group-item list-group-item-action bg-light pl-5">Search Solve Problem Steps</a>
                <?php endif; ?>

                
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function () {
            // Function to toggle the dropdown
            function toggleDropdown(element, submenuId) {
                const $submenu = $(submenuId);
                const icon = element.querySelector('i');

                // Close all other dropdowns
                $('.collapse').not(submenuId).collapse('hide');
                $('.rotate').not(icon).removeClass('rotate-down');

                // Toggle the clicked dropdown's visibility
                $submenu.collapse('toggle');

                // Adjust the icon rotation based on the collapse state
                if ($submenu.hasClass('show')) {
                    $(icon).addClass('rotate-down');
                } else {
                    $(icon).removeClass('rotate-down');
                }
            }

            // Close dropdown if clicked outside
            $(document).on('click', function (e) {
                const $target = $(e.target);
                if (!$target.closest('.sidebar').length && !$target.closest('.list-group-item[data-toggle="collapse"]').length) {
                    $('.collapse').collapse('hide');
                    $('.rotate').removeClass('rotate-down'); // Ensure all icons are reset
                }
            });

            // Ensure icons are reset when dropdowns are hidden
            $('.collapse').on('hidden.bs.collapse', function () {
                $(this).prev('a').find('i.rotate').removeClass('rotate-down');
            });

            // Handle clicks on dropdown toggles
            $('.list-group-item[data-toggle="collapse"]').on('click', function (e) {
                const submenuId = $(this).attr('href');
                toggleDropdown(this, submenuId);
            });

            // Expose the function globally so it can be used in any page
            window.toggleDropdown = toggleDropdown;
        });
    </script>
    <!-- Begin content area, but do not close the div -->
    <div class="container-fluid content">