<?php
require '../config/auth.php'; // Ensure user is authenticated
require '../../layout/header.php';
require '../../database/db.php'; // Connect to the database
date_default_timezone_set('Asia/Kuala_Lumpur');

// Fetch data from the database
$sql = "SELECT debtor_code, company_name, address1, phone1 FROM company_info";
$stmt = $pdo->query($sql);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!-- Add Bootstrap 5.3 CSS CDN -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">

<style>
    .button-group {
        gap: 10px; /* Adjust the gap size as needed */
    }
    .hidden {
        display: none;
    }
</style>

<div class="container mt-5">
    <h2 class="mb-4">Company Information</h2>
    <input type="text" id="searchBar" class="form-control mb-3" placeholder="Search by Company Name or Debtor Code">
    <table class="table table-bordered hidden" id="companyTable">
        <thead>
            <tr>
                <th>Debtor Code</th>
                <th>Company Name</th>
                <th>Address</th>
                <th>Phone</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($data as $row): ?>
                <tr>
                    <td><?= htmlspecialchars($row['debtor_code']) ?></td>
                    <td><?= htmlspecialchars($row['company_name']) ?></td>
                    <td><?= htmlspecialchars($row['address1']) ?></td>
                    <td><?= htmlspecialchars($row['phone1']) ?></td>
                    <td>
                        <div class="d-flex button-group">
                            <a href="/crm/public/company/company_details.php?debtor_code=<?= urlencode($row['debtor_code']) ?>&company_name=<?= urlencode($row['company_name']) ?>" class="btn btn-primary">View Details</a>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Add Bootstrap 5.3 JS CDN -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
<script>
$(document).ready(function() {
    $('#searchBar').on('keyup', function() {
        var value = $(this).val().toLowerCase();
        $('#companyTable tbody tr').filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
        if (value.length > 0) {
            $('#companyTable').removeClass('hidden');
        } else {
            $('#companyTable').addClass('hidden');
        }
    });
});
</script>

