<?php
require_once '../../database/db.php'; // Include the database connection file
session_start();
date_default_timezone_set(timezoneId: 'Asia/Kuala_Lumpur');

// Log the logout activity
if (isset($_SESSION['username']) && isset($_SESSION['role'])) {
    $username = $_SESSION['username'];
    $role = $_SESSION['role'];
    $logMessage = "User logged out!";

    $sqlLog = "INSERT INTO activity_logs (username, timestamp, role, activity)
               VALUES (:username, :timestamp, :role, :activity)";
    $stmtLog = $pdo->prepare($sqlLog);
    $stmtLog->execute([
        ':username' => $username,
        ':timestamp' => date('Y-m-d H:i:s'),
        ':role' => $role,
        ':activity' => $logMessage
    ]);
}

// Destroy the session
session_unset();
session_destroy();

// Redirect to the login page with an alert
echo "<script>alert('User logged out!'); window.location.href = '/crm/public/config/login.php';</script>";
exit();
?>