<?php
require '../config/auth.php'; // Ensure user is authenticated
require '../../layout/header.php';
require '../../database/db.php'; // Connect to the database

// Fetch data from the database
$sql = "SELECT customer_info_id, customer_username, customer_mobile, customer_email, customer_title, customer_dept, debtor_code, company_name FROM customer_info";
$stmt = $pdo->query($sql);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!-- Add Bootstrap 5.3 CSS CDN -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">

<style>
    .button-group {
        gap: 10px; /* Adjust the gap size as needed */
    }
    .hidden {
        display: none;
    }
</style>

<div class="container mt-5">
    <h2 class="mb-4">Customer Information</h2>
    <input type="text" id="searchBar" class="form-control mb-3" placeholder="Search by Username or Company Name">
    <table class="table table-bordered hidden" id="customerTable">
        <thead>
            <tr>
                <th>Customer Username</th>
                <th>Customer Mobile</th>
                <th>Customer Email</th>
                <th>Customer Title</th>
                <th>Customer Department</th>
                <th>Debtor Code</th>
                <th>Company Name</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($data as $row): ?>
                <tr>
                    <td><?= htmlspecialchars($row['customer_username']) ?></td>
                    <td><?= htmlspecialchars($row['customer_mobile']) ?></td>
                    <td><?= htmlspecialchars($row['customer_email']) ?></td>
                    <td><?= htmlspecialchars($row['customer_title']) ?></td>
                    <td><?= htmlspecialchars($row['customer_dept']) ?></td>
                    <td><?= htmlspecialchars($row['debtor_code']) ?></td>
                    <td><?= htmlspecialchars($row['company_name']) ?></td>
                    <td>
                        <div class="d-flex button-group">
                            <!-- Include both debtor_code and customer_info_id in the URL -->
                            <a href="customer_details.php?debtor_code=<?= urlencode($row['debtor_code']) ?>&customer_info_id=<?= urlencode($row['customer_info_id']) ?>" class="btn btn-info btn-sm">View</a>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Add Bootstrap 5.3 JS CDN -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
<script>
$(document).ready(function() {
    // Filter table rows based on the input value in the search bar
    $('#searchBar').on('keyup', function() {
        var value = $(this).val().toLowerCase();
        $('#customerTable tbody tr').filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
        // Show the table if the search bar has a value, otherwise hide it
        if (value.length > 0) {
            $('#customerTable').removeClass('hidden');
        } else {
            $('#customerTable').addClass('hidden');
        }
    });
});
</script>

