<?php
function decryptPassword($ciphertext, $key) {
    $c = base64_decode($ciphertext); // Decode the base64-encoded ciphertext
    $ivlen = openssl_cipher_iv_length($cipher = "AES-128-CBC");
    $iv = substr($c, 0, $ivlen); // Extract the IV
    $hmac = substr($c, $ivlen, $sha2len = 32); // Extract the HMAC
    $ciphertext_raw = substr($c, $ivlen + $sha2len); // Extract the raw ciphertext
    $original_plaintext = openssl_decrypt($ciphertext_raw, $cipher, $key, $options = OPENSSL_RAW_DATA, $iv); // Decrypt the ciphertext
    $calcmac = hash_hmac('sha256', $ciphertext_raw, $key, $as_binary = true); // Calculate the HMAC of the decrypted ciphertext
    if (hash_equals($hmac, $calcmac)) { // Verify the HMAC
        return $original_plaintext;
    }
    return null; // Return null if HMAC verification fails
}

$key = 'your_secret_key'; // Must match the key used for encryption

if (isset($_POST['encryptedPassword'])) {
    $encryptedPassword = $_POST['encryptedPassword'];
    $decryptedPassword = decryptPassword($encryptedPassword, $key); // Decrypt the password
    if ($decryptedPassword !== null) {
        echo $decryptedPassword; // Return the decrypted password
    } else {
        echo 'Decryption failed or HMAC verification failed.'; // Return an error message
    }
    exit;
}
?>