<?php
function encryptPassword($password, $key) {
    $ivlen = openssl_cipher_iv_length($cipher = "AES-128-CBC");
    $iv = openssl_random_pseudo_bytes($ivlen); // Generate a random IV
    $ciphertext_raw = openssl_encrypt($password, $cipher, $key, $options = OPENSSL_RAW_DATA, $iv); // Encrypt the password
    $hmac = hash_hmac('sha256', $ciphertext_raw, $key, $as_binary = true); // Calculate HMAC
    $ciphertext = base64_encode($iv . $hmac . $ciphertext_raw); // Concatenate IV + HMAC + ciphertext_raw and encode in base64
    return $ciphertext;
}
?>