<?php
require 'config/auth.php'; // Ensure user is authenticated
require '../layout/header.php';
require '../database/db.php'; // Connect to the database
date_default_timezone_set('Asia/Kuala_Lumpur');

// Fetch data from the database
$sql = "SELECT item_code_id, item_code, active, item_name, item_group FROM item_code";
$stmt = $pdo->query($sql);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Item Configuration</title>
    <!-- Bootstrap 5.3 CSS CDN -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .button-group {
            gap: 10px; /* Adjust the gap size as needed */
        }
        .hidden {
            display: none;
        }
    </style>
</head>
<body>
<div class="container mt-5">
    <h2 class="mb-4">Add Configuration and Solve Problem Steps</h2>
    <input type="text" id="searchBar" class="form-control mb-3" placeholder="Search by Item Code or Item Name">
    <table class="table table-bordered hidden" id="itemTable">
        <thead>
            <tr>
                <th>Item Code</th>
                <th>Active</th>
                <th>Item Name</th>
                <th>Item Group</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($data as $row): ?>
                <tr>
                    <td><?= htmlspecialchars($row['item_code']) ?></td>
                    <td><?= $row['active'] ? 'Active' : 'Inactive' ?></td>
                    <td><?= htmlspecialchars($row['item_name']) ?></td>
                    <td><?= htmlspecialchars($row['item_group']) ?></td>
                    <td>
                        <div class="d-flex button-group">
                            <a href="configuration_steps.php?item_code_id=<?= $row['item_code_id'] ?>" class="btn btn-success">Add Configuration Step</a>
                            <a href="solve_problem_steps.php?item_code_id=<?= $row['item_code_id'] ?>" class="btn btn-danger">Add Solve Problem Step</a>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<!-- jQuery CDN -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Bootstrap 5.3 JS Bundle CDN (includes Popper.js) -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<script>
$(document).ready(function() {
    $('#searchBar').on('keyup', function() {
        var value = $(this).val().toLowerCase();
        $('#itemTable tbody tr').filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
        if (value.length > 0) {
            $('#itemTable').removeClass('hidden');
        } else {
            $('#itemTable').addClass('hidden');
        }
    });
});
</script>


</body>
</html>