<?php
require '../config/auth.php'; // Ensure user is authenticated
require '../../layout/header.php'; // Include the header
require '../../database/db.php'; // Connect to the database
date_default_timezone_set('Asia/Kuala_Lumpur');

// Fetch data from the database
$sql = "SELECT item_code_id, item_code, active, item_name, item_group FROM item_code";
$stmt = $pdo->query($sql);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!-- Add Bootstrap 5.3 CSS CDN -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
<style>
    .button-group {
        gap: 10px; /* Adjust the gap size as needed */
    }
    .hidden {
        display: none;
    }
</style>
<div class="container mt-5">
    <h2 class="mb-4">Item Function Information</h2>
    <input type="text" id="searchBar" class="form-control mb-3" placeholder="Search by Item Code or Item Name">
    <table class="table table-bordered hidden" id="itemTable">
        <thead>
            <tr>
                <th>Item Code</th>
                <th>Active</th>
                <th>Item Name</th>
                <th>Item Group</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($data as $row): ?>
                <tr>
                    <td><?= htmlspecialchars($row['item_code']) ?></td>
                    <td><?= $row['active'] ? 'Active' : 'Inactive' ?></td>
                    <td><?= htmlspecialchars($row['item_name']) ?></td>
                    <td><?= htmlspecialchars($row['item_group']) ?></td>
                    <td>
                        <div class="d-flex button-group">
                            <a href="/crm/public/item_function/view_function.php?item_code_id=<?= $row['item_code_id'] ?>" class="btn btn-primary">View Function</a>
                        </div>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Add Bootstrap 5.3 JS CDN -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
<script>
$(document).ready(function() {
    $('#searchBar').on('keyup', function() {
        var value = $(this).val().toLowerCase();
        $('#itemTable tbody tr').filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
        });
        if (value.length > 0) {
            $('#itemTable').removeClass('hidden');
        } else {
            $('#itemTable').addClass('hidden');
        }
    });
});
</script>