<?php
require '../config/auth.php'; // Ensure user is authenticated
require '../../database/db.php'; // Connect to the database
date_default_timezone_set('Asia/Kuala_Lumpur');

// Get search parameters
$companyName = $_POST['companyName'] ?? '';
$quotationNumber = $_POST['quotationNumber'] ?? '';
$invoiceNumber = $_POST['invoiceNumber'] ?? '';
$purchaseOrderNumber = $_POST['purchaseOrderNumber'] ?? '';
$purchaseInvoiceNumber = $_POST['purchaseInvoiceNumber'] ?? '';
$orNumber = $_POST['orNumber'] ?? '';
$endDateYear = $_POST['endDateYear'] ?? '';
$endDateMonth = $_POST['endDateMonth'] ?? '';

// Build the SQL query
$sql = "SELECT r.renewal_id, r.subscription_id, r.invoice_number, r.invoice_date, r.start_date, r.end_date, r.amount, r.created_at, r.quotation_number, r.quotation_date, r.pdf_file, r.purchase_order, r.purchase_invoice, r.or_number, r.or_date, r.pi_date, s.debtor_code, s.item_code, c.company_name
        FROM renewals r
        JOIN subscriptions s ON r.subscription_id = s.subscription_id
        JOIN company_info c ON s.debtor_code = c.debtor_code
        WHERE 1=1";

$params = [];

if (!empty($companyName)) {
    $sql .= " AND c.company_name LIKE :companyName";
    $params[':companyName'] = '%' . $companyName . '%';
}

if (!empty($quotationNumber)) {
    $sql .= " AND r.quotation_number LIKE :quotationNumber";
    $params[':quotationNumber'] = '%' . $quotationNumber . '%';
}

if (!empty($invoiceNumber)) {
    $sql .= " AND r.invoice_number LIKE :invoiceNumber";
    $params[':invoiceNumber'] = '%' . $invoiceNumber . '%';
}

if (!empty($purchaseOrderNumber)) {
    $sql .= " AND r.purchase_order LIKE :purchaseOrderNumber";
    $params[':purchaseOrderNumber'] = '%' . $purchaseOrderNumber . '%';
}

if (!empty($purchaseInvoiceNumber)) {
    $sql .= " AND r.purchase_invoice LIKE :purchaseInvoiceNumber";
    $params[':purchaseInvoiceNumber'] = '%' . $purchaseInvoiceNumber . '%';
}

if (!empty($orNumber)) {
    $sql .= " AND r.or_number LIKE :orNumber";
    $params[':orNumber'] = '%' . $orNumber . '%';
}

if (!empty($endDateYear) && $endDateYear !== 'ALL') {
    $sql .= " AND YEAR(r.end_date) = :endDateYear";
    $params[':endDateYear'] = $endDateYear;
}

if (!empty($endDateMonth) && $endDateMonth !== 'ALL') {
    $sql .= " AND MONTH(r.end_date) = :endDateMonth";
    $params[':endDateMonth'] = $endDateMonth;
}

$stmt = $pdo->prepare($sql);
$stmt->execute($params);
$results = $stmt->fetchAll(PDO::FETCH_ASSOC);

foreach ($results as $row) {
    echo "<tr>";
    echo "<td>" . htmlspecialchars($row['company_name']) . "</td>";
    echo "<td>" . htmlspecialchars($row['end_date']) . "</td>";
    echo "<td>" . htmlspecialchars($row['item_code']) . "</td>";
    echo "<td>";
    echo "<div class='d-flex button-group'>";
    echo "<a href='/crm/public/subscription/view_subscription_details.php?id=" . urlencode($row['subscription_id']) . "' class='btn btn-info btn-sm'>View</a>";
    echo "</div>";
    echo "</td>";
    echo "</tr>";
}
?>