<?php
require '../config/auth.php'; // Ensure user is authenticated
require '../../layout/header.php';
require '../../database/db.php'; // Connect to the database
date_default_timezone_set('Asia/Kuala_Lumpur');

// Get the subscription_id from the query parameter
if (isset($_GET['id'])) {
    $subscription_id = $_GET['id'];
} else {
    echo "<script>alert('No subscription selected.'); window.location.href = 'payment_purchase.php';</script>";
    exit();
}

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $or_number = $_POST['or_number'];
    $or_date = $_POST['or_date'];

    // Insert the payment details into the renewals table
    $insert_sql = "UPDATE renewals SET or_number = :or_number, or_date = :or_date WHERE subscription_id = :subscription_id";
    $stmt = $pdo->prepare($insert_sql);
    $stmt->bindParam(':subscription_id', $subscription_id, PDO::PARAM_INT);
    $stmt->bindParam(':or_number', $or_number);
    $stmt->bindParam(':or_date', $or_date);
    $stmt->execute();

    echo "<script>alert('Payment details added successfully!'); window.location.href = 'payment_purchase.php';</script>";
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Payment Details</title>
</head>
<body>
    <div class="container mt-5">
        <h2>Add Payment Details</h2>
        <form action="sub_payment.php?id=<?= $subscription_id; ?>" method="POST">
            <div class="mb-3">
                <label for="or_number" class="form-label">OR Number</label>
                <input type="text" id="or_number" name="or_number" class="form-control" required>
            </div>
            <div class="mb-3">
                <label for="or_date" class="form-label">OR Date</label>
                <input type="date" id="or_date" name="or_date" class="form-control" required>
            </div>
            <button type="submit" class="btn btn-primary">Add Payment Details</button>
        </form>
    </div>

    <script>
        // Add Enter key functionality
        document.addEventListener('DOMContentLoaded', function() {
            document.querySelector('form').addEventListener('keypress', function(e) {
                if (e.key === 'Enter') {
                    e.preventDefault();
                    document.querySelector('button[type="submit"]').click();
                }
            });
        });
    </script>
</body>
</html>