<?php
require '../config/auth.php'; // Ensure user is authenticated
require '../../layout/header.php';
require '../../database/db.php'; // Connect to the database
date_default_timezone_set('Asia/Kuala_Lumpur');

// Get the subscription_id from the query parameter
if (isset($_GET['id'])) {
    $subscription_id = $_GET['id'];
} else {
    echo "<script>alert('No subscription selected.'); window.location.href = 'payment_purchase.php';</script>";
    exit();
}

// Handle form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['no_purchase'])) {
        // Handle no purchase action
        $update_sql = "UPDATE renewals SET purchase_invoice = 'no_purchase' WHERE subscription_id = :subscription_id";
        $stmt = $pdo->prepare($update_sql);
        $stmt->bindParam(':subscription_id', $subscription_id, PDO::PARAM_INT);
        $stmt->execute();

        echo "<script>alert('No purchase recorded.'); window.location.href = 'payment_purchase.php';</script>";
        exit();
    } else {
        $purchase_order = $_POST['purchase_order'];
        $purchase_invoice = $_POST['purchase_invoice'];
        $pi_date = $_POST['pi_date'];

        // Insert the purchase details into the renewals table
        $insert_sql = "UPDATE renewals SET purchase_order = :purchase_order, purchase_invoice = :purchase_invoice, pi_date = :pi_date WHERE subscription_id = :subscription_id";
        $stmt = $pdo->prepare($insert_sql);
        $stmt->bindParam(':subscription_id', $subscription_id, PDO::PARAM_INT);
        $stmt->bindParam(':purchase_order', $purchase_order);
        $stmt->bindParam(':purchase_invoice', $purchase_invoice);
        $stmt->bindParam(':pi_date', $pi_date);
        $stmt->execute();

        echo "<script>alert('Purchase details added successfully!'); window.location.href = 'payment_purchase.php';</script>";
        exit();
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Purchase Details</title>
</head>
<body>
    <div class="container mt-5">
        <h2>Add Purchase Details</h2>
        <form action="sub_purchase.php?id=<?= $subscription_id; ?>" method="POST">
            <div class="mb-3">
                <label for="purchase_order" class="form-label">Purchase Order</label>
                <input type="text" id="purchase_order" name="purchase_order" class="form-control">
            </div>
            <div class="mb-3">
                <label for="purchase_invoice" class="form-label">Purchase Invoice</label>
                <input type="text" id="purchase_invoice" name="purchase_invoice" class="form-control">
            </div>
            <div class="mb-3">
                <label for="pi_date" class="form-label">PI Date</label>
                <input type="date" id="pi_date" name="pi_date" class="form-control">
            </div>
            <button type="submit" class="btn btn-primary">Add Purchase Details</button>
            <button type="submit" name="no_purchase" class="btn btn-secondary ml-2">No Purchase</button>
        </form>
    </div>

    <script>
        // Add Enter key functionality
        document.addEventListener('DOMContentLoaded', function() {
            document.querySelector('form').addEventListener('keypress', function(e) {
                if (e.key === 'Enter') {
                    e.preventDefault();
                    document.querySelector('button[type="submit"]').click();
                }
            });
        });
    </script>
</body>
</html>